Actualizar una cuenta
Modifica los datos de tu cuenta o de una cuenta que administras. Envía solo los campos que quieras cambiar.
El plan de tu propia cuenta se gestiona desde tu suscripción, por lo que
el campo plan se ignora al editar tu cuenta; solo se aplica al editar
una cuenta que administras.
curl --request PATCH \
--url https://dashboard.tellen.app/api/v1/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account": {
"razon_social": "<string>",
"nombre_comercial": "<string>",
"dir_matriz": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"billing_email": "jsmith@example.com",
"obligado_contabilidad": true,
"agente_retencion": true,
"contribuyente_especial": true,
"exportador": true,
"sector_turistico": true,
"production_mode": true
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{id}"
payload = { "account": {
"razon_social": "<string>",
"nombre_comercial": "<string>",
"dir_matriz": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"billing_email": "jsmith@example.com",
"obligado_contabilidad": True,
"agente_retencion": True,
"contribuyente_especial": True,
"exportador": True,
"sector_turistico": True,
"production_mode": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: {
razon_social: '<string>',
nombre_comercial: '<string>',
dir_matriz: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
billing_email: 'jsmith@example.com',
obligado_contabilidad: true,
agente_retencion: true,
contribuyente_especial: true,
exportador: true,
sector_turistico: true,
production_mode: true
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"nombre_comercial": "<string>",
"ruc": "<string>",
"dir_matriz": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"billing_email": "<string>",
"obligado_contabilidad": true,
"agente_retencion": true,
"contribuyente_especial": true,
"exportador": true,
"production_mode": true,
"stores": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
]
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta. Usa el de tu propia cuenta o el de una cuenta que administras.
Body
Envía solo los campos que quieras cambiar. El campo plan se ignora
al editar tu propia cuenta y solo se aplica al editar una cuenta que
administras.
Show child attributes
Show child attributes
Response
La cuenta actualizada.
Forma completa (al consultar, crear o actualizar una cuenta), con el perfil del SRI, datos de contacto y establecimientos.
Show child attributes
Show child attributes
